<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
    
    <xs:complexType name="TResource">
        <xs:sequence minOccurs="0" maxOccurs="unbounded">
            <xs:any minOccurs="0" maxOccurs="unbounded" processContents="skip"></xs:any>
        </xs:sequence>
        <xs:attribute name="id" type="xs:ID" use="required"/>
    </xs:complexType>
    
    <xs:complexType name="TResourceRef">
        <xs:attribute name="ref-id" type="xs:IDREF" use="required"/>
    </xs:complexType>

</xs:schema>